/* extra small devices */
@media only screen and (max-width: 600px) {
    html,
    body {
        overflow-x: hidden;
        /* width: 100px; */
    }
    body {
        overflow-x: hidden;
        display: flex;
        justify-self: center;
    }
    #slide_to_top {
        z-index: 1000;
    }
    #content {
        width: 100%;
        /* width: 85%;
        position: absolute;
        justify-self: auto;
        left: 50%;
        transform: translate(-50%); */
    }
    #navigation {
        flex-direction: column;
    }
    #leftNavigation {
        order: 2;
        width: 100% !important;
        margin-bottom: 10px;
    }
    #centerNavigation {
        margin: auto;
        width: auto !important;
        order: 1;
    }
    #centerNavigation img {
        width: 225px;
    }
    #rightNavigation {
        order: 3;
        width: 100% !important;
    }
    #leftBottomNavigation {
        display: none !important;
    }
    #rightBottomNavigation {
        display: none !important;
    }
    #leftTopNavigation .bubble {
        width: auto;
        font-size: 18px;
    }
    #leftTopNavigation .bubble .bubble_text {
        font-size: 18px;
    }
    #contactInformation .contact_info {
        font-size: 22px;
        text-align: center;
    }
    .gray_bar {
        visibility: hidden;
    }
    #mobile_navigation {
        display: block;
    }
    ul#mobile_nav {
        font-size: 35px;
        display: flex;
        margin-top: 20px;
        flex-direction: column;
        align-items: center;
    }
    ul#mobile_nav li a {
        text-transform: uppercase;
    }
    #karen_container img {
        width: 85%;
    }
    .pickleball_map iframe {
        width: auto;
    }
    .calendar_vertical {
        width: 85% !important;
    }
    h2.section_heading span {
        font-size: 18px;
    }
    a.fancy_button {
        font-size: 13px;
    }
    .book_item {
        width: 100%;
    }
    #health_tip_container {
        width: 95% !important;
    }
    #health_tip_container h3.sub_heading span {
        font-size: 20px !important;
    }
    h3.health_grab {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    h3.health_grab span {
        margin-bottom: -13px;
    }
    h3.health_grab span::after {
        background-color: transparent;
    }
    #trip_announcements p.trip {
        width: 85% !important;
    }
    .fundraising_link {
        width: 100% !important;
    }
    #fundraising_content {
        display: flex;
        flex-direction: column;
    }
    #pickleball_pearson {
        width: 100%;
        display: flex;
        flex-direction: column-reverse;
    }
    #pickleball_pearson .pickleball_map {
        width: 100%;
    }
    #pickleball_pearson .pickleball_map iframe {
        width: 100%;
    }
    #pickleball_pearson .pickleball_description {
        width: 100%;
        margin-bottom: 15px;
    }
    h3.sub_heading span {
        font-size: 16px;
    }
    #pickleball_millennium {
        display: flex;
        flex-direction: column-reverse;
        width: 100%;
    }
    #pickleball_millennium .pickleball_description {
        width: 100%;
        margin-bottom: 15px;
    }
    #pickleball_millennium .pickleball_map {
        width: 100%;
    }
    #pickleball_millennium .pickleball_map iframe {
        width: 100%;
    }
    .book_item {
        height: auto;
    }
    .book_item .book_information .book_title {
        text-align: center;
    }
    #stability_ball_container {
        width: auto;
        flex-direction: column;
    }
    #stability_ball_container .left_ball {
        width: 100%;
    }
    #stability_ball_container .left_ball img {
        width: 50% !important;
        display: flex;
        justify-self: center;
    }
    #stability_ball_container .right_ball {
        width: 100%;
    }
    span.class_key {
        font-size: 20px !important;
    }
    #super_samba_content {
        flex-direction: column-reverse;
        width: auto;
    }
    p.taichi_description {
        width: auto;
    }
    #slideShowContainer {
        width: auto !important;
    }
    #newsletter_container #slideShowContainer .slideshow_content {
        width: auto;
        height: auto;
    }
    #newsletterArchive .archiveItem {
        width: auto !important;
    }
    .staff_row {
        flex-direction: column;
        gap: 25px;
    }
    .staff_row .staff_item {
        width: auto;
    }
    #board_container {
        flex-direction: column;
    }
    #board_container .board_left {
        width: auto;
    }
    #board_container .board_item h3.board_title {
        text-align: center;
        margin: 0;
    }
    .board_sep {
        display: flex;
        justify-self: center;
    }
    #board_container .board_item .board_group {
        margin-left: 0px !important;
    }
    #board_container .board_item .board_group li.board_member .board_member_role {
        margin-left: 0px;
        text-align: center;
    }
    #board_container .board_item .board_group li.board_member .board_member_name {
        margin-left: 0px;
        text-align: center;
        margin-bottom: 7px;
    }
    .board_item.board_right {
        width: auto !important;
    }
    #mission_container {
        flex-direction: column;
    }
    #mission_container .mission_item {
        width: auto !important;
    }
    #map {
        width: 100% !important;
        height: 450px !important;
    }
    #mission_container .right_mission .mission_box {
        font-size: 18px !important;
        width: auto !important;
        margin-top: 15px;
    }
    #mission_container .right_mission .mission_black {
        width: auto !important;
    }
    #newsletter_container .center_button {
        width: 200px;
        margin: auto;
        margin-bottom: 10px;
        display: flex;
        justify-content: center;
    }
    #newsletter_container .archiveItem .bidzbutton {
        margin: 0;
        margin-top: 10px;
        display: flex;
        justify-self: center;
        justify-content: center;
        gap: 15px;
    }
    .archive_buttons {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #calendar_container {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #membership_form {
        display: flex;
        justify-content: center;
    }
}

/* small devices */
@media only screen and (min-width: 600px) {
    body {
    }
}
/* medium deevices */
@media only screen and (min-width: 768px) {
    body {
        display: flex;
        justify-self: center;
        max-width: 700px;
    }
    html,
    body {
    }
    #newsletter_container a {
        margin: 0;
        width: 200px !important;
        margin-bottom: 15px;
    }
    #content {
        width: 675px;
    }
    #rightBottomNavigation,
    #leftBottomNavigation {
        display: none !important;
    }
    #navigation {
        flex-direction: column;
    }
    #centerNavigation {
        order: 1;
        width: auto !important;
        display: flex;
        justify-content: center;
    }
    #leftNavigation {
        order: 2;
        width: auto !important;
        flex-direction: row;
    }
    #rightNavigation {
        order: 3;
    }
    #rightNavigation,
    #rightTopNavigation,
    #contactInformation {
        width: 100% !important;
    }
    #device_navigation {
        display: flex;
    }
    #device_navigation ul#device_nav {
        display: flex;
        justify-content: space-around;
        width: 100%;
        font-size: 20px;
        margin-top: 15px;
    }
    #device_navigation ul#device_nav li {
        text-transform: uppercase;
    }
    #contactInformation_device {
        display: flex;
        flex-direction: column;
        align-items: center;
        font-size: 18px;
        justify-content: center;
        gap: 5px;
    }
    #contactInformation {
        display: none;
    }
    #leftTopNavigation {
        display: flex;
        justify-content: space-around;
    }
    #slide_to_top {
        z-index: 1000;
    }
    #karen_container img {
        width: 75%;
    }

    h3.health_grab span::after {
        background-color: transparent;
    }
    #trip_announcements p.trip {
        width: 75% !important;
    }
    #pickleball_pearson,
    #pickleball_millennium {
        flex-direction: column-reverse;
    }
    .pickleball_description {
        width: 100% !important;
    }
    .pickleball_map {
        width: 100%;
    }
    .pickleball_map iframe {
        width: 100%;
        margin-top: 15px;
    }
    .book_item {
        width: 47%;
        margin-bottom: 20px;
    }
    .book_item .book_information .book_title {
        text-align: center;
    }
    #stability_ball_container {
        flex-direction: column;
    }
    #stability_ball_container .ball_item {
        width: auto !important;
    }
    #stability_ball_container .ball_item img {
        display: flex;
        justify-self: center;
        width: 50% !important;
    }
    #super_samba_content {
        flex-direction: column-reverse;
    }
    p.taichi_description {
        width: 82% !important;
    }
    #newsletter_container #slideShowContainer {
        width: auto !important;
    }
    #newsletter_container #slideShowContainer .slideshow_content {
        width: 50% !important;
        height: fit-content;
    }
    #newsletterArchive .archiveItem {
        width: 47% !important;
    }
    .archive_buttons {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .archive_buttons a {
        margin: 0;
    }
    .calendar_vertical {
        width: 90% !important;
    }
    .staff_row {
        gap: 30px !important;
    }
    #board_container {
        flex-direction: column;
    }
    #board_container .board_left,
    #board_container .board_right {
        width: auto !important;
    }
    h3.board_title {
        text-align: center;
    }
    #board_container .board_item .board_sep {
        margin: auto;
    }
    .gray_bar {
        width: 615px;
    }
    #board_container .board_right .board_group .board_member {
        text-align: center;
        width: 550px;
    }
    #mission_container {
        flex-direction: column;
        align-items: center;
    }
    .mission_box {
        margin-top: 15px;
    }
}
/* large devices */
@media only screen and (min-width: 992px) {
    body {
        max-width: 930px;
    }
    #content {
        width: 100%;
    }
    .gray_bar {
        width: 850px;
    }

    #slide_to_top {
        z-index: 20;
    }
    .pickleball_map iframe {
        width: 100%;
    }
    /* #navigation #rightNavigation #rightBottomNavigation {
        display: flex !important;
    }
    #navigation #leftNavigation #leftBottomNavigation {
        display: flex !important;
    }
    #device_navigation {
        display: none;
    }
    #contactInformation_device {
        display: none;
    }
    #rightNavigation #rightTopNavigation #contactInformation {
        display: flex;
    }
    #leftNavigation,
    #centerNavigation,
    #rightNavigation {
        order: 0;
        display: flex;
    }
    #navigation {
        flex-direction: row;
    } */
    #board_container {
        flex-direction: row;
        justify-content: space-between;
    }
    #board_container .board_item {
        width: 45% !important;
    }
    #board_container .board_item .board_title {
        text-align: left !important;
    }
    #board_container .board_sep {
        margin: 0 !important;
    }
    #board_container .board_right .board_group .board_member {
        text-align: left !important;
    }
    #mission_container {
        flex-direction: row;
    }
}
/* extra large devices */
@media only screen and (min-width: 1200px) {
    body {
        max-width: 1200px;
    }
    #slide_to_top {
        z-index: 20;
    }
    #content {
        width: 100%;
    }
    .gray_bar {
        width: 1130px;
    }
    #contactInformation_device {
        font-size: 22px;
    }
    .bubble_text {
        font-size: 21px;
    }
    .book_item {
        width: 31%;
    }
}
